Bug 538172 - Review Request: pyactivemq - Python wrapper around activemq-cpp for messaging
Review Request: pyactivemq - Python wrapper around activemq-cpp for messaging
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: activemq-cpp
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-17 15:19 EST by Steve Traylen
Modified: 2010-02-26 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version: pyactivemq-0.1.0-2.20100214svn209.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 22:37:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-11-17 15:19:51 EST
Spec URL: http://cern.ch/straylen/rpms/pyactivemq/pyactivemq.spec
SRPM URL: http://cern.ch/straylen/rpms/pyactivemq/pyactivemq-0.1.0-1.fc13.src.rpm
Description:
pyactivemq is a Python module for communicating with the
message brokers which implement the Java Message Service
specification or stomp.
Comment 1 Mattias Ellert 2009-12-11 16:44:43 EST
Fedora review - pyactivemq - 2009-12-11

rpmlint:

$ rpmlint pyactivemq/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Package name follows naming guidelines
+ Specfile is named accordingly
+ The package's license "ASL 2.0" is a Fedora approved license
+ The package's license matches the license of the sources
+ The LICENSE.txt file is included as %doc
+ Specfile is written in legible English
+ Package builds in mock (Fedora 12)
+ Source matches upstream:

$ md5sum pyactivemq-0.1.0.tar.gz pysrc/pyactivemq-0.1.0.tar.gz 
2ba32ab034c91a6fc6d0deb581d6ea27  pyactivemq-0.1.0.tar.gz
2ba32ab034c91a6fc6d0deb581d6ea27  pysrc/pyactivemq-0.1.0.tar.gz

+ Build dependencies are sufficient
+ No bundled system libraries
+ Package owns directories it creates
+ No duplicate files
+ File permissions are sane and %files have %defattr
+ %clean clears buildroot
+ Specfile uses macros consistently
+ %doc is not runtime essential
+ Package does not own others' files
+ %install clears buildroot
+ Installed filenames are UTF-8

Package approved.
Comment 2 Steve Traylen 2009-12-11 17:08:41 EST
New Package CVS Request
=======================
Package Name: pyactivemq
Short Description: Python wrapper around activemq-cpp for messaging
Owners: stevetraylen
Branches: F-11 F-12
Comment 3 Kevin Fenzi 2009-12-14 12:29:56 EST
cvs done.
Comment 4 Mattias Ellert 2010-02-13 14:37:06 EST
Any progress?
Comment 5 Steve Traylen 2010-02-13 15:09:00 EST
Hi,
I kind of made a mistake in upgrading activemq-cpp to 3.1 which then
meant that the released pyactivemq is incompatible.

The SVN head is reported as building but the tests fail, so waiting really.

Steve
Comment 6 Fedora Update System 2010-02-14 13:19:56 EST
pyactivemq-0.1.0-2.20100214svn209.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pyactivemq-0.1.0-2.20100214svn209.fc12
Comment 7 Fedora Update System 2010-02-14 13:23:48 EST
pyactivemq-0.1.0-2.20100214svn209.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pyactivemq-0.1.0-2.20100214svn209.fc11
Comment 8 Fedora Update System 2010-02-16 08:10:24 EST
pyactivemq-0.1.0-2.20100214svn209.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyactivemq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1864
Comment 9 Fedora Update System 2010-02-16 08:12:51 EST
pyactivemq-0.1.0-2.20100214svn209.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pyactivemq'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1878
Comment 10 Fedora Update System 2010-02-26 22:37:47 EST
pyactivemq-0.1.0-2.20100214svn209.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-02-26 22:46:46 EST
pyactivemq-0.1.0-2.20100214svn209.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.